Will this be compatible with Courier 2.5?

Dec 12, 2011 at 7:12 PM

Just wondering if this will be a viable solution for Courier 2.5.

Thank you!

~Heather

Apr 18, 2012 at 10:28 PM
Edited Apr 19, 2012 at 12:01 AM

Well, I have answered my own question - This doesn't work with Courier 2.5 and Contour 1.1.12.

The error displayed is:

System.IO.FileLoadException: Could not load file or assembly 'FluentNHibernate, Version=1.1.0.685, Culture=neutral, PublicKeyToken=8aa435e3cb308880' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)

I downloaded the source code and re-linked the references to the current files in my umbraco site, recompiled, and uploaded the new .dll.

The error went away, and I will just need to see if the Courier functionality is now there.

Sep 20, 2012 at 5:39 PM
Edited Sep 20, 2012 at 5:40 PM

This aproach did not worked for me either.

It through error message on rebuild:

 

Error    2    'Contour.Addons.CourierSupport.DataResolvers.FormMacro.PackagedResource(System.Type, Umbraco.Courier.Core.ItemIdentifier, Umbraco.Courier.Core.Resource)': no suitable method found to override    C:\Documents and Settings\user\Desktop\contourprovcourier_3c29233cdc01\Contour.Addons.CourierSupport\DataResolvers\FormMacro.cs    47    30    Contour.Addons.CourierSupport

 

Can they include reference DLLs in source code as well?